# JIRA CLI

Ruby gem CLI tool used to manage JIRA workflows leveraging git

* * *

### Available Commands

    jira all                # Describes all local branches that match JIRA ticketing syntax
    jira assign             # Assign a ticket to a user
    jira attachments        # View ticket attachments
    jira checkout <ticket>  # Checks out a ticket from JIRA in the git branch
    jira comment <command>  # Commands for comment operations in JIRA
    jira delete             # Deletes a ticket in JIRA and the git branch
    jira describe           # Describes the input ticket
    jira help [COMMAND]     # Describe available commands or one specific command
    jira install            # Guides the user through JIRA CLI installation
    jira link               # Creates a link between two tickets in JIRA
    jira log <command>      # Commands for logging operations in JIRA
    jira new                # Creates a new ticket in JIRA and checks out the git branch
    jira rename             # Updates the summary of the input ticket
    jira sprint             # Lists sprint info
    jira tickets [jql]      # List the in progress tickets of the input username (or jql)
    jira transition         # Transitions the input ticket to the next state
    jira version            # Displays the version
    jira vote <command>     # Commands for voting operations in JIRA
    jira watch <command>    # Commands for watching tickets in JIRA

### Gem Installation

Rubygems:

    gem install ruby-jira-cli

Manually:

    git clone git@github.com:ajmyers01/jira-cli.git
    cd jira-cli
    ./scripts/install

### Project Installation

In order to use this tool, you'll need to run the installation script in the
git repository that you're managing via JIRA.

    cd path/to/jira/repo
    jira install
